Closed Bug 15035 Opened 21 years ago Closed 20 years ago

need to put editor files into core

Categories

(SeaMonkey :: Installer, defect, P3)

x86
Other
defect

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: cathleennscp, Assigned: cathleennscp)

Details

we need to make sure editor libraries are packaged & installed with core,
because they're needed for text editing in the text fields.

not sure about what to do with ender's xul/css/js files, and what files
are required in message compose window...

Steve, can you help us define which set of ender files needs to be installed?
And, which set of files that's also required by message compose?  -Thanks!
I didn't think that *all* of the editor libraries/xul needed to be installed in
order for text widgets to work. Are we dropping the ``moz_lite'', browser-only
download distribution?
charlie, can you please work with cathleen to define the editor packaging?  I
have no idea when they need this info.
editor.xpt
ender.dll
txmgr.dll
txtsvc.dll

are these the only ender files we need to ship for beta 1?
all these go in the base package.,  dictionary is the only
"editor" specific file that would go as an "editor" or "mail/news"
pacakge.
Assignee: cmanske → cathleen
windows manifest file change ready to go...
Target Milestone: M11
one more file needed

txmgr.xpt
windows manifest file is updated. (9/29/99)

still need to update mac & unix
updated the mac file on 10/11 to include Mac editor libraries:
editor.xpt
EditorCore.shlb
EditorTxmgr.shlb
TextServices.shlb
txmgr.xpt
Status: NEW → RESOLVED
Closed: 20 years ago
Resolution: --- → FIXED
unix packaging list contains the following editor file in the core package:

editor.xpt
libender.so
libtxmgr.so
libtxtsvc.so
txmgr.xpt
Status: RESOLVED → VERIFIED
build 1999110808
Updating component from Install Wizard to Installer.
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.